## kwin-effect-snow 0.6

=== CMakeLists.txt ===
project(kwin4_effect_snow)


cmake_minimum_required(VERSION 2.4)
add_definitions( ${QT_DEFINITIONS} )
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )
find_package(KDE4 REQUIRED)
add_definitions( ${KDE4_DEFINITIONS} )

find_package(X11)
find_package(OpenGLES)
find_package(OpenGL)
include(KDE4Defaults)
include(MacroLibrary)
include_directories (${KDE4_INCLUDES})

#the main effect
set( kwin4_effect_snow_SOURCES snow.cpp )
kde4_add_plugin(kwin4_effect_snow ${kwin4_effect_snow_SOURCES})
target_link_libraries(kwin4_effect_snow ${KDE4_KDEUI_LIBS} kwineffects kwinglutils GL ${X11_LIBRARIES})
install(TARGETS kwin4_effect_snow DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES snow.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kwin )
install( FILES
    data/snow.frag
    data/snow.vert
    data/snowflake1.png
    data/snowflake2.png
    data/snowflake3.png
    data/snowflake4.png
    DESTINATION ${DATA_INSTALL_DIR}/kwin )

#the config
project(kcm_kwin4_effect_snow)
set (kcm_kwin4_effect_snow_SOURCES snow_config.cpp)
kde4_add_ui_files( kcm_kwin4_effect_snow_SOURCES snow_config.ui )
kde4_add_plugin (kcm_kwin4_effect_snow ${kcm_kwin4_effect_snow_SOURCES} )
target_link_libraries(kcm_kwin4_effect_snow ${KDE4_KDEUI_LIBS} kwineffects )
install (TARGETS kcm_kwin4_effect_snow DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES snow_config.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
kwin-effect-snow (0.6-0mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Add missing debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Nov 2016 06:56:07 -0800

kwin-effect-snow (0.6~trusty~ppa2) trusty; urgency=low

  * Trusty Release, 0.6

 -- Ivan Safonov (C++ developer) <safonov.ivan.s@gmail.com>  Sat, 18 Jan 2014 19:13:05 +0700

kwin-effect-snow (0.6~saucy~ppa1) saucy; urgency=low

  * Saucy Release, 0.6

 -- Ivan Safonov (C++ developer) <safonov.ivan.s@gmail.com>  Fri, 08 Nov 2013 22:32:49 +0700

kwin-effect-snow (0.5~raring~ppa2) raring; urgency=low

  * New Release, 0.5
    - Fixed compatibility with KDE 4.10.x
    - Added a new option to set start state. 

 -- Ivan Safonov (C++ developer) <safonov.ivan.s@gmail.com>  Wed, 21 Aug 2013 17:28:13 +0700

kwin-effect-snow (0.4~quantal~ppa1) quantal; urgency=low

  * New Release, 0.4
    - Added new snowflakes and the opportunity to choose one of them.
    - Added the ability to enable effect at startup KWin.

 -- Ivan Safonov (C++ developer) <safonov.ivan.s@gmail.com>  Sun, 02 Dec 2012 22:09:53 +0700

kwin-effect-snow (0.3~quantal~ppa2) quantal; urgency=low

  * Bugfix Release

 -- Ivan Safonov (C++ developer) <safonov.ivan.s@gmail.com>  Sat, 01 Dec 2012 23:37:10 +0700

kwin-effect-snow (0.3~quantal~ppa1) quantal; urgency=low

  * New Release, 0.3

 -- Ivan Safonov (C++ developer) <safonov.ivan.s@gmail.com>  Sat, 01 Dec 2012 20:56:43 +0700

kwin-effect-snow (0.1~quantal~ppa1) quantal; urgency=low

  * Quantal Release, 0.1

 -- Ivan Safonov (C++ developer) <safonov.ivan.s@gmail.com>  Sat, 01 Dec 2012 19:42:37 +0700

kwin-effect-snow (0.1ubuntu1~ppa1) pricise; urgency=low

  * First Release, 0.1

 --  Ivan Safonov (C++ developer) <safonov.ivan.s@gmail.com>  Sun, 25 Nov 2012 20:12:12 +0700

=== debian/control ===
Source: kwin-effect-snow
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ivan Safonov <safonov.ivan.s@gmail.com>
Build-Depends: debhelper (>= 8.0),
 pkg-kde-tools (>= 0.9.3),
 cmake,
 kdelibs5-dev,
 kdebase-workspace-dev,
 xorg-dev,
 libqt4-opengl-dev,
 qtchooser,
 libegl1-mesa-dev
Standards-Version: 3.9.7

Package: kwin-effect-snow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE 4 snow window effect
 KDE 4 snow window effect
